import { WebPlugin } from '@capacitor/core';
import { CapacitorFirebaseAnalyticsEventsPlugin } from './definitions';
import { BeginCheckoutEvent, CampaignDetailsEvent, CheckoutProgressEvent, EarnVirtualCurrencyEvent, ECommercePurchaseEvent, LevelEndEvent, LevelStartEvent, LevelUpEvent, PurchaseRefundEvent, SpendVirtualCurrencyEvent } from './events';
export declare class CapacitorFirebaseAnalyticsEventsWeb extends WebPlugin implements CapacitorFirebaseAnalyticsEventsPlugin {
    constructor();
    addPaymentInfo(): Promise<void>;
    beginCheckout(options: {
        event: BeginCheckoutEvent;
    }): Promise<void>;
    campaignDetails(options: {
        event: CampaignDetailsEvent;
    }): Promise<void>;
    checkoutProgress(options: {
        event: CheckoutProgressEvent;
    }): Promise<void>;
    eCommercePurchase(options: {
        event: ECommercePurchaseEvent;
    }): Promise<void>;
    earnVirtualCurrency(options: {
        event: EarnVirtualCurrencyEvent;
    }): Promise<void>;
    levelEnd(options: {
        event: LevelEndEvent;
    }): Promise<void>;
    levelStart(options: {
        event: LevelStartEvent;
    }): Promise<void>;
    levelUp(options: {
        event: LevelUpEvent;
    }): Promise<void>;
    purchaseRefund(options: {
        event: PurchaseRefundEvent;
    }): Promise<void>;
    spendVirtualCurrency(options: {
        event: SpendVirtualCurrencyEvent;
    }): Promise<void>;
}
declare const CapacitorFirebaseAnalyticsEvents: CapacitorFirebaseAnalyticsEventsWeb;
export { CapacitorFirebaseAnalyticsEvents };
